org.apache.felix.metatype

## Class MetaData

- java.lang.Object
- - org.apache.felix.metatype.OptionalAttributes
  - - org.apache.felix.metatype.MetaData

    public class MetaData
    extends OptionalAttributes

The `MetaData` class represents the `MetaData` element of the meta type descriptor.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`MetaData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDesignate(Designate designate)`
`void` `addObjectClassDefinition(OCD objectClassDefinition)`
`List` `getDesignates()`
`String` `getLocalePrefix()`
`String` `getNamespace()`
`Map` `getObjectClassDefinitions()`
`URL` `getSource()`
`void` `setLocalePrefix(String localePrefix)`
`void` `setNamespace(String namespace)`
`void` `setSource(URL source)`

### Methods inherited from class org.apache.felix.metatype.OptionalAttributes

`addOptionalAttribute, getOptionalAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetaData

    public MetaData()

### Method Detail

#### getLocalePrefix

    public String getLocalePrefix()

#### setLocalePrefix

    public void setLocalePrefix(String localePrefix)

#### getObjectClassDefinitions

    public Map getObjectClassDefinitions()

#### addObjectClassDefinition

    public void addObjectClassDefinition(OCD objectClassDefinition)

#### getDesignates

    public List getDesignates()

#### addDesignate

    public void addDesignate(Designate designate)

#### getSource

    public URL getSource()

#### setSource

    public void setSource(URL source)

#### getNamespace

    public String getNamespace()

#### setNamespace

    public void setNamespace(String namespace)